Skip to main content
POST
/
compliance
/
v2
/
kyc
Request a KYC session for a specific action.
curl --request POST \
  --url https://sandbox-api.sandbox.lemmax.com/compliance/v2/kyc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": {
    "level": 1,
    "type": "OCC_RULES_ENGINE"
  },
  "customer": {
    "external_id": "customer_PK",
    "wallet": {
      "address": "0xaac17f958d2ee523a2206206994597c13d831ec2",
      "blockchain": "sepolia"
    }
  }
}
'
{
  "data": {
    "error_code": "ERR01",
    "flow": "KYC_OCC",
    "widget_data": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.fortepayments.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

access_token returned by the /auth/v1/oauth2/tokens API call.

Body

application/json

Start KYC Workflow Request

action
object
required
customer
object
required

Customer object for propagating customer information from Developer's system.

Response

When this API is called, there is a certain case that won't start the KYC submission process, but the response is communicated under 200 HTTP code. This is to signal to the Developers that widget should still be initialized and the response from this API should be provided directly to the widget initialization.

The error case where API response is with 200 HTTP status code, but KYC cannot be started because customer is banned. The 200 HTTP status code is returned so that Developers would still initialize the widget and provide the response directly to the widget.

data
object
required